Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultRecursiveLegalReferenceType

java.lang.Object
be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.LegalReferenceKeyType
be.fgov.ehealth.dics.protocol.v4.ConsultLegalReferenceType
be.fgov.ehealth.dics.protocol.v4.ConsultRecursiveLegalReferenceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultRecursiveLegalReferenceType extends ConsultLegalReferenceType implements Serializable

Java class for ConsultRecursiveLegalReferenceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultRecursiveLegalReferenceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultLegalReferenceType">
           <choice>
             <element name="LegalReference" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultRecursiveLegalReferenceType" maxOccurs="unbounded" minOccurs="0"/>
             <sequence>
               <element name="FormalInterpretation" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultFormalInterpretationType" minOccurs="0"/>
               <element name="LegalText" type="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultRecursiveLegalTextType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultRecursiveLegalReferenceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConsultFormalInterpretationType`
  `getFormalInterpretation()`
  Gets the value of the formalInterpretation property.
  `List<ConsultRecursiveLegalReferenceType>`
  `getLegalReferences()`
  Gets the value of the legalReferences property.
  `List<ConsultRecursiveLegalTextType>`
  `getLegalTexts()`
  Gets the value of the legalTexts property.
  `void`
  `setFormalInterpretation(ConsultFormalInterpretationType value)`
  Sets the value of the formalInterpretation property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v4.ConsultLegalReferenceType

  `getEndDate, getFirstPublishedOn, getLastModifiedOn, getLegalReferenceTraces, getStartDate, getTitle, getType, setEndDate, setFirstPublishedOn, setLastModifiedOn, setStartDate, setTitle, setType`

  ### Methods inherited from class be.fgov.ehealth.dics.core.v4.reimbursementlaw.submit.LegalReferenceKeyType

  `getKey, setKey`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultRecursiveLegalReferenceType

    public ConsultRecursiveLegalReferenceType()

- ## Method Details

  - ### getFormalInterpretation

    public ConsultFormalInterpretationType getFormalInterpretation()
    Gets the value of the formalInterpretation property.
    Returns:
      possible object is `ConsultFormalInterpretationType`

  - ### setFormalInterpretation

    public void setFormalInterpretation(ConsultFormalInterpretationType value)
    Sets the value of the formalInterpretation property.
    Parameters:
      `value` - allowed object is `ConsultFormalInterpretationType`

  - ### getLegalTexts

    public List<ConsultRecursiveLegalTextType> getLegalTexts()
    Gets the value of the legalTexts property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalTexts property.

    For example, to add a new item, do as follows:

         getLegalTexts().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultRecursiveLegalTextType`

    Returns:
      The value of the legalTexts property.

  - ### getLegalReferences

    public List<ConsultRecursiveLegalReferenceType> getLegalReferences()
    Gets the value of the legalReferences property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the legalReferences property.

    For example, to add a new item, do as follows:

         getLegalReferences().add(newItem);

    Objects of the following type(s) are allowed in the list `ConsultRecursiveLegalReferenceType`

    Returns:
      The value of the legalReferences property.